<?php
namespace Models;

class autonomus_nofr {
	public $f3, $sets, $config;

	function __construct($f3, $sets, $config) {
		$this->f3=$f3;
		$this->sets=$sets;
        $this->config=$config;
	}

	function ticket($type, $sum, $return_bt=null) {
		return array(
			'success'=>true,
			'txt'=>'',
			'slip'=>'',
			'pan'=>0,
			'transid'=>0,
			'authcode'=>0,
			'nofr'=>true
		);
	}

	function z() {
		$cheq=$this->sets['title']."\nСмена успешно закрыта";
		return array(
			'success'=>true,
			'txt'=>'',
			'slip'=>$cheq,
			'pan'=>0,
			'transid'=>0,
			'authcode'=>0
		);
	}

	function x() {
		$cheq='';
		return array(
			'success'=>true,
			'txt'=>'',
			'slip'=>'',
			'pan'=>0,
			'transid'=>0,
			'authcode'=>0
		);
	}
}